Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network85.69.0.0/17
Usable hosts32,766
Subnet mask255.255.128.0
Addresses32,768
Network address
85.69.0.0
Broadcast address
85.69.127.255
First usable
85.69.0.1
Last usable
85.69.127.254
Usable hosts
32,766 (32,768 less the network and broadcast addresses)
Subnet mask
255.255.128.0
Wildcard mask
0.0.127.255 (Cisco ACLs, OSPF)
Prefix length
/17
Type
Public public
Old class
A (default /8)
As numbers
Hex 55450000 · Integer 1430585344 to 1430618111
Reverse DNS zones
0.69.85.in-addr.arpa
1.69.85.in-addr.arpa
2.69.85.in-addr.arpa
3.69.85.in-addr.arpa
4.69.85.in-addr.arpa
5.69.85.in-addr.arpa
6.69.85.in-addr.arpa
7.69.85.in-addr.arpa
8.69.85.in-addr.arpa
9.69.85.in-addr.arpa
10.69.85.in-addr.arpa
11.69.85.in-addr.arpa
12.69.85.in-addr.arpa
13.69.85.in-addr.arpa
14.69.85.in-addr.arpa
15.69.85.in-addr.arpa
and 112 more
/17 is not on a 8-bit boundary, so it takes 128 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01010101.01000101.00000000.0000000085.69.0.0
Subnet mask11111111.11111111.10000000.00000000255.255.128.0
Network01010101.01000101.00000000.0000000085.69.0.0
Broadcast01010101.01000101.01111111.1111111185.69.127.255
Split into smaller subnets/25

85.69.0.0/17 makes 256 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
185.69.0.0/2585.69.0.1 to 85.69.0.12685.69.0.127126
285.69.0.128/2585.69.0.129 to 85.69.0.25485.69.0.255126
385.69.1.0/2585.69.1.1 to 85.69.1.12685.69.1.127126
485.69.1.128/2585.69.1.129 to 85.69.1.25485.69.1.255126
585.69.2.0/2585.69.2.1 to 85.69.2.12685.69.2.127126
685.69.2.128/2585.69.2.129 to 85.69.2.25485.69.2.255126
785.69.3.0/2585.69.3.1 to 85.69.3.12685.69.3.127126
885.69.3.128/2585.69.3.129 to 85.69.3.25485.69.3.255126
985.69.4.0/2585.69.4.1 to 85.69.4.12685.69.4.127126
1085.69.4.128/2585.69.4.129 to 85.69.4.25485.69.4.255126
1185.69.5.0/2585.69.5.1 to 85.69.5.12685.69.5.127126
1285.69.5.128/2585.69.5.129 to 85.69.5.25485.69.5.255126
1385.69.6.0/2585.69.6.1 to 85.69.6.12685.69.6.127126
1485.69.6.128/2585.69.6.129 to 85.69.6.25485.69.6.255126
1585.69.7.0/2585.69.7.1 to 85.69.7.12685.69.7.127126
1685.69.7.128/2585.69.7.129 to 85.69.7.25485.69.7.255126
1785.69.8.0/2585.69.8.1 to 85.69.8.12685.69.8.127126
1885.69.8.128/2585.69.8.129 to 85.69.8.25485.69.8.255126
1985.69.9.0/2585.69.9.1 to 85.69.9.12685.69.9.127126
2085.69.9.128/2585.69.9.129 to 85.69.9.25485.69.9.255126
2185.69.10.0/2585.69.10.1 to 85.69.10.12685.69.10.127126
2285.69.10.128/2585.69.10.129 to 85.69.10.25485.69.10.255126
2385.69.11.0/2585.69.11.1 to 85.69.11.12685.69.11.127126
2485.69.11.128/2585.69.11.129 to 85.69.11.25485.69.11.255126
2585.69.12.0/2585.69.12.1 to 85.69.12.12685.69.12.127126
2685.69.12.128/2585.69.12.129 to 85.69.12.25485.69.12.255126
2785.69.13.0/2585.69.13.1 to 85.69.13.12685.69.13.127126
2885.69.13.128/2585.69.13.129 to 85.69.13.25485.69.13.255126
2985.69.14.0/2585.69.14.1 to 85.69.14.12685.69.14.127126
3085.69.14.128/2585.69.14.129 to 85.69.14.25485.69.14.255126
3185.69.15.0/2585.69.15.1 to 85.69.15.12685.69.15.127126
3285.69.15.128/2585.69.15.129 to 85.69.15.25485.69.15.255126
3385.69.16.0/2585.69.16.1 to 85.69.16.12685.69.16.127126
3485.69.16.128/2585.69.16.129 to 85.69.16.25485.69.16.255126
3585.69.17.0/2585.69.17.1 to 85.69.17.12685.69.17.127126
3685.69.17.128/2585.69.17.129 to 85.69.17.25485.69.17.255126
3785.69.18.0/2585.69.18.1 to 85.69.18.12685.69.18.127126
3885.69.18.128/2585.69.18.129 to 85.69.18.25485.69.18.255126
3985.69.19.0/2585.69.19.1 to 85.69.19.12685.69.19.127126
4085.69.19.128/2585.69.19.129 to 85.69.19.25485.69.19.255126
4185.69.20.0/2585.69.20.1 to 85.69.20.12685.69.20.127126
4285.69.20.128/2585.69.20.129 to 85.69.20.25485.69.20.255126
4385.69.21.0/2585.69.21.1 to 85.69.21.12685.69.21.127126
4485.69.21.128/2585.69.21.129 to 85.69.21.25485.69.21.255126
4585.69.22.0/2585.69.22.1 to 85.69.22.12685.69.22.127126
4685.69.22.128/2585.69.22.129 to 85.69.22.25485.69.22.255126
4785.69.23.0/2585.69.23.1 to 85.69.23.12685.69.23.127126
4885.69.23.128/2585.69.23.129 to 85.69.23.25485.69.23.255126
4985.69.24.0/2585.69.24.1 to 85.69.24.12685.69.24.127126
5085.69.24.128/2585.69.24.129 to 85.69.24.25485.69.24.255126
5185.69.25.0/2585.69.25.1 to 85.69.25.12685.69.25.127126
5285.69.25.128/2585.69.25.129 to 85.69.25.25485.69.25.255126
5385.69.26.0/2585.69.26.1 to 85.69.26.12685.69.26.127126
5485.69.26.128/2585.69.26.129 to 85.69.26.25485.69.26.255126
5585.69.27.0/2585.69.27.1 to 85.69.27.12685.69.27.127126
5685.69.27.128/2585.69.27.129 to 85.69.27.25485.69.27.255126
5785.69.28.0/2585.69.28.1 to 85.69.28.12685.69.28.127126
5885.69.28.128/2585.69.28.129 to 85.69.28.25485.69.28.255126
5985.69.29.0/2585.69.29.1 to 85.69.29.12685.69.29.127126
6085.69.29.128/2585.69.29.129 to 85.69.29.25485.69.29.255126
6185.69.30.0/2585.69.30.1 to 85.69.30.12685.69.30.127126
6285.69.30.128/2585.69.30.129 to 85.69.30.25485.69.30.255126
6385.69.31.0/2585.69.31.1 to 85.69.31.12685.69.31.127126
6485.69.31.128/2585.69.31.129 to 85.69.31.25485.69.31.255126
6585.69.32.0/2585.69.32.1 to 85.69.32.12685.69.32.127126
6685.69.32.128/2585.69.32.129 to 85.69.32.25485.69.32.255126
6785.69.33.0/2585.69.33.1 to 85.69.33.12685.69.33.127126
6885.69.33.128/2585.69.33.129 to 85.69.33.25485.69.33.255126
6985.69.34.0/2585.69.34.1 to 85.69.34.12685.69.34.127126
7085.69.34.128/2585.69.34.129 to 85.69.34.25485.69.34.255126
7185.69.35.0/2585.69.35.1 to 85.69.35.12685.69.35.127126
7285.69.35.128/2585.69.35.129 to 85.69.35.25485.69.35.255126
7385.69.36.0/2585.69.36.1 to 85.69.36.12685.69.36.127126
7485.69.36.128/2585.69.36.129 to 85.69.36.25485.69.36.255126
7585.69.37.0/2585.69.37.1 to 85.69.37.12685.69.37.127126
7685.69.37.128/2585.69.37.129 to 85.69.37.25485.69.37.255126
7785.69.38.0/2585.69.38.1 to 85.69.38.12685.69.38.127126
7885.69.38.128/2585.69.38.129 to 85.69.38.25485.69.38.255126
7985.69.39.0/2585.69.39.1 to 85.69.39.12685.69.39.127126
8085.69.39.128/2585.69.39.129 to 85.69.39.25485.69.39.255126
8185.69.40.0/2585.69.40.1 to 85.69.40.12685.69.40.127126
8285.69.40.128/2585.69.40.129 to 85.69.40.25485.69.40.255126
8385.69.41.0/2585.69.41.1 to 85.69.41.12685.69.41.127126
8485.69.41.128/2585.69.41.129 to 85.69.41.25485.69.41.255126
8585.69.42.0/2585.69.42.1 to 85.69.42.12685.69.42.127126
8685.69.42.128/2585.69.42.129 to 85.69.42.25485.69.42.255126
8785.69.43.0/2585.69.43.1 to 85.69.43.12685.69.43.127126
8885.69.43.128/2585.69.43.129 to 85.69.43.25485.69.43.255126
8985.69.44.0/2585.69.44.1 to 85.69.44.12685.69.44.127126
9085.69.44.128/2585.69.44.129 to 85.69.44.25485.69.44.255126
9185.69.45.0/2585.69.45.1 to 85.69.45.12685.69.45.127126
9285.69.45.128/2585.69.45.129 to 85.69.45.25485.69.45.255126
9385.69.46.0/2585.69.46.1 to 85.69.46.12685.69.46.127126
9485.69.46.128/2585.69.46.129 to 85.69.46.25485.69.46.255126
9585.69.47.0/2585.69.47.1 to 85.69.47.12685.69.47.127126
9685.69.47.128/2585.69.47.129 to 85.69.47.25485.69.47.255126
9785.69.48.0/2585.69.48.1 to 85.69.48.12685.69.48.127126
9885.69.48.128/2585.69.48.129 to 85.69.48.25485.69.48.255126
9985.69.49.0/2585.69.49.1 to 85.69.49.12685.69.49.127126
10085.69.49.128/2585.69.49.129 to 85.69.49.25485.69.49.255126
10185.69.50.0/2585.69.50.1 to 85.69.50.12685.69.50.127126
10285.69.50.128/2585.69.50.129 to 85.69.50.25485.69.50.255126
10385.69.51.0/2585.69.51.1 to 85.69.51.12685.69.51.127126
10485.69.51.128/2585.69.51.129 to 85.69.51.25485.69.51.255126
10585.69.52.0/2585.69.52.1 to 85.69.52.12685.69.52.127126
10685.69.52.128/2585.69.52.129 to 85.69.52.25485.69.52.255126
10785.69.53.0/2585.69.53.1 to 85.69.53.12685.69.53.127126
10885.69.53.128/2585.69.53.129 to 85.69.53.25485.69.53.255126
10985.69.54.0/2585.69.54.1 to 85.69.54.12685.69.54.127126
11085.69.54.128/2585.69.54.129 to 85.69.54.25485.69.54.255126
11185.69.55.0/2585.69.55.1 to 85.69.55.12685.69.55.127126
11285.69.55.128/2585.69.55.129 to 85.69.55.25485.69.55.255126
11385.69.56.0/2585.69.56.1 to 85.69.56.12685.69.56.127126
11485.69.56.128/2585.69.56.129 to 85.69.56.25485.69.56.255126
11585.69.57.0/2585.69.57.1 to 85.69.57.12685.69.57.127126
11685.69.57.128/2585.69.57.129 to 85.69.57.25485.69.57.255126
11785.69.58.0/2585.69.58.1 to 85.69.58.12685.69.58.127126
11885.69.58.128/2585.69.58.129 to 85.69.58.25485.69.58.255126
11985.69.59.0/2585.69.59.1 to 85.69.59.12685.69.59.127126
12085.69.59.128/2585.69.59.129 to 85.69.59.25485.69.59.255126
12185.69.60.0/2585.69.60.1 to 85.69.60.12685.69.60.127126
12285.69.60.128/2585.69.60.129 to 85.69.60.25485.69.60.255126
12385.69.61.0/2585.69.61.1 to 85.69.61.12685.69.61.127126
12485.69.61.128/2585.69.61.129 to 85.69.61.25485.69.61.255126
12585.69.62.0/2585.69.62.1 to 85.69.62.12685.69.62.127126
12685.69.62.128/2585.69.62.129 to 85.69.62.25485.69.62.255126
12785.69.63.0/2585.69.63.1 to 85.69.63.12685.69.63.127126
12885.69.63.128/2585.69.63.129 to 85.69.63.25485.69.63.255126
12985.69.64.0/2585.69.64.1 to 85.69.64.12685.69.64.127126
13085.69.64.128/2585.69.64.129 to 85.69.64.25485.69.64.255126
13185.69.65.0/2585.69.65.1 to 85.69.65.12685.69.65.127126
13285.69.65.128/2585.69.65.129 to 85.69.65.25485.69.65.255126
13385.69.66.0/2585.69.66.1 to 85.69.66.12685.69.66.127126
13485.69.66.128/2585.69.66.129 to 85.69.66.25485.69.66.255126
13585.69.67.0/2585.69.67.1 to 85.69.67.12685.69.67.127126
13685.69.67.128/2585.69.67.129 to 85.69.67.25485.69.67.255126
13785.69.68.0/2585.69.68.1 to 85.69.68.12685.69.68.127126
13885.69.68.128/2585.69.68.129 to 85.69.68.25485.69.68.255126
13985.69.69.0/2585.69.69.1 to 85.69.69.12685.69.69.127126
14085.69.69.128/2585.69.69.129 to 85.69.69.25485.69.69.255126
14185.69.70.0/2585.69.70.1 to 85.69.70.12685.69.70.127126
14285.69.70.128/2585.69.70.129 to 85.69.70.25485.69.70.255126
14385.69.71.0/2585.69.71.1 to 85.69.71.12685.69.71.127126
14485.69.71.128/2585.69.71.129 to 85.69.71.25485.69.71.255126
14585.69.72.0/2585.69.72.1 to 85.69.72.12685.69.72.127126
14685.69.72.128/2585.69.72.129 to 85.69.72.25485.69.72.255126
14785.69.73.0/2585.69.73.1 to 85.69.73.12685.69.73.127126
14885.69.73.128/2585.69.73.129 to 85.69.73.25485.69.73.255126
14985.69.74.0/2585.69.74.1 to 85.69.74.12685.69.74.127126
15085.69.74.128/2585.69.74.129 to 85.69.74.25485.69.74.255126
15185.69.75.0/2585.69.75.1 to 85.69.75.12685.69.75.127126
15285.69.75.128/2585.69.75.129 to 85.69.75.25485.69.75.255126
15385.69.76.0/2585.69.76.1 to 85.69.76.12685.69.76.127126
15485.69.76.128/2585.69.76.129 to 85.69.76.25485.69.76.255126
15585.69.77.0/2585.69.77.1 to 85.69.77.12685.69.77.127126
15685.69.77.128/2585.69.77.129 to 85.69.77.25485.69.77.255126
15785.69.78.0/2585.69.78.1 to 85.69.78.12685.69.78.127126
15885.69.78.128/2585.69.78.129 to 85.69.78.25485.69.78.255126
15985.69.79.0/2585.69.79.1 to 85.69.79.12685.69.79.127126
16085.69.79.128/2585.69.79.129 to 85.69.79.25485.69.79.255126
16185.69.80.0/2585.69.80.1 to 85.69.80.12685.69.80.127126
16285.69.80.128/2585.69.80.129 to 85.69.80.25485.69.80.255126
16385.69.81.0/2585.69.81.1 to 85.69.81.12685.69.81.127126
16485.69.81.128/2585.69.81.129 to 85.69.81.25485.69.81.255126
16585.69.82.0/2585.69.82.1 to 85.69.82.12685.69.82.127126
16685.69.82.128/2585.69.82.129 to 85.69.82.25485.69.82.255126
16785.69.83.0/2585.69.83.1 to 85.69.83.12685.69.83.127126
16885.69.83.128/2585.69.83.129 to 85.69.83.25485.69.83.255126
16985.69.84.0/2585.69.84.1 to 85.69.84.12685.69.84.127126
17085.69.84.128/2585.69.84.129 to 85.69.84.25485.69.84.255126
17185.69.85.0/2585.69.85.1 to 85.69.85.12685.69.85.127126
17285.69.85.128/2585.69.85.129 to 85.69.85.25485.69.85.255126
17385.69.86.0/2585.69.86.1 to 85.69.86.12685.69.86.127126
17485.69.86.128/2585.69.86.129 to 85.69.86.25485.69.86.255126
17585.69.87.0/2585.69.87.1 to 85.69.87.12685.69.87.127126
17685.69.87.128/2585.69.87.129 to 85.69.87.25485.69.87.255126
17785.69.88.0/2585.69.88.1 to 85.69.88.12685.69.88.127126
17885.69.88.128/2585.69.88.129 to 85.69.88.25485.69.88.255126
17985.69.89.0/2585.69.89.1 to 85.69.89.12685.69.89.127126
18085.69.89.128/2585.69.89.129 to 85.69.89.25485.69.89.255126
18185.69.90.0/2585.69.90.1 to 85.69.90.12685.69.90.127126
18285.69.90.128/2585.69.90.129 to 85.69.90.25485.69.90.255126
18385.69.91.0/2585.69.91.1 to 85.69.91.12685.69.91.127126
18485.69.91.128/2585.69.91.129 to 85.69.91.25485.69.91.255126
18585.69.92.0/2585.69.92.1 to 85.69.92.12685.69.92.127126
18685.69.92.128/2585.69.92.129 to 85.69.92.25485.69.92.255126
18785.69.93.0/2585.69.93.1 to 85.69.93.12685.69.93.127126
18885.69.93.128/2585.69.93.129 to 85.69.93.25485.69.93.255126
18985.69.94.0/2585.69.94.1 to 85.69.94.12685.69.94.127126
19085.69.94.128/2585.69.94.129 to 85.69.94.25485.69.94.255126
19185.69.95.0/2585.69.95.1 to 85.69.95.12685.69.95.127126
19285.69.95.128/2585.69.95.129 to 85.69.95.25485.69.95.255126
19385.69.96.0/2585.69.96.1 to 85.69.96.12685.69.96.127126
19485.69.96.128/2585.69.96.129 to 85.69.96.25485.69.96.255126
19585.69.97.0/2585.69.97.1 to 85.69.97.12685.69.97.127126
19685.69.97.128/2585.69.97.129 to 85.69.97.25485.69.97.255126
19785.69.98.0/2585.69.98.1 to 85.69.98.12685.69.98.127126
19885.69.98.128/2585.69.98.129 to 85.69.98.25485.69.98.255126
19985.69.99.0/2585.69.99.1 to 85.69.99.12685.69.99.127126
20085.69.99.128/2585.69.99.129 to 85.69.99.25485.69.99.255126
20185.69.100.0/2585.69.100.1 to 85.69.100.12685.69.100.127126
20285.69.100.128/2585.69.100.129 to 85.69.100.25485.69.100.255126
20385.69.101.0/2585.69.101.1 to 85.69.101.12685.69.101.127126
20485.69.101.128/2585.69.101.129 to 85.69.101.25485.69.101.255126
20585.69.102.0/2585.69.102.1 to 85.69.102.12685.69.102.127126
20685.69.102.128/2585.69.102.129 to 85.69.102.25485.69.102.255126
20785.69.103.0/2585.69.103.1 to 85.69.103.12685.69.103.127126
20885.69.103.128/2585.69.103.129 to 85.69.103.25485.69.103.255126
20985.69.104.0/2585.69.104.1 to 85.69.104.12685.69.104.127126
21085.69.104.128/2585.69.104.129 to 85.69.104.25485.69.104.255126
21185.69.105.0/2585.69.105.1 to 85.69.105.12685.69.105.127126
21285.69.105.128/2585.69.105.129 to 85.69.105.25485.69.105.255126
21385.69.106.0/2585.69.106.1 to 85.69.106.12685.69.106.127126
21485.69.106.128/2585.69.106.129 to 85.69.106.25485.69.106.255126
21585.69.107.0/2585.69.107.1 to 85.69.107.12685.69.107.127126
21685.69.107.128/2585.69.107.129 to 85.69.107.25485.69.107.255126
21785.69.108.0/2585.69.108.1 to 85.69.108.12685.69.108.127126
21885.69.108.128/2585.69.108.129 to 85.69.108.25485.69.108.255126
21985.69.109.0/2585.69.109.1 to 85.69.109.12685.69.109.127126
22085.69.109.128/2585.69.109.129 to 85.69.109.25485.69.109.255126
22185.69.110.0/2585.69.110.1 to 85.69.110.12685.69.110.127126
22285.69.110.128/2585.69.110.129 to 85.69.110.25485.69.110.255126
22385.69.111.0/2585.69.111.1 to 85.69.111.12685.69.111.127126
22485.69.111.128/2585.69.111.129 to 85.69.111.25485.69.111.255126
22585.69.112.0/2585.69.112.1 to 85.69.112.12685.69.112.127126
22685.69.112.128/2585.69.112.129 to 85.69.112.25485.69.112.255126
22785.69.113.0/2585.69.113.1 to 85.69.113.12685.69.113.127126
22885.69.113.128/2585.69.113.129 to 85.69.113.25485.69.113.255126
22985.69.114.0/2585.69.114.1 to 85.69.114.12685.69.114.127126
23085.69.114.128/2585.69.114.129 to 85.69.114.25485.69.114.255126
23185.69.115.0/2585.69.115.1 to 85.69.115.12685.69.115.127126
23285.69.115.128/2585.69.115.129 to 85.69.115.25485.69.115.255126
23385.69.116.0/2585.69.116.1 to 85.69.116.12685.69.116.127126
23485.69.116.128/2585.69.116.129 to 85.69.116.25485.69.116.255126
23585.69.117.0/2585.69.117.1 to 85.69.117.12685.69.117.127126
23685.69.117.128/2585.69.117.129 to 85.69.117.25485.69.117.255126
23785.69.118.0/2585.69.118.1 to 85.69.118.12685.69.118.127126
23885.69.118.128/2585.69.118.129 to 85.69.118.25485.69.118.255126
23985.69.119.0/2585.69.119.1 to 85.69.119.12685.69.119.127126
24085.69.119.128/2585.69.119.129 to 85.69.119.25485.69.119.255126
24185.69.120.0/2585.69.120.1 to 85.69.120.12685.69.120.127126
24285.69.120.128/2585.69.120.129 to 85.69.120.25485.69.120.255126
24385.69.121.0/2585.69.121.1 to 85.69.121.12685.69.121.127126
24485.69.121.128/2585.69.121.129 to 85.69.121.25485.69.121.255126
24585.69.122.0/2585.69.122.1 to 85.69.122.12685.69.122.127126
24685.69.122.128/2585.69.122.129 to 85.69.122.25485.69.122.255126
24785.69.123.0/2585.69.123.1 to 85.69.123.12685.69.123.127126
24885.69.123.128/2585.69.123.129 to 85.69.123.25485.69.123.255126
24985.69.124.0/2585.69.124.1 to 85.69.124.12685.69.124.127126
25085.69.124.128/2585.69.124.129 to 85.69.124.25485.69.124.255126
25185.69.125.0/2585.69.125.1 to 85.69.125.12685.69.125.127126
25285.69.125.128/2585.69.125.129 to 85.69.125.25485.69.125.255126
25385.69.126.0/2585.69.126.1 to 85.69.126.12685.69.126.127126
25485.69.126.128/2585.69.126.129 to 85.69.126.25485.69.126.255126
25585.69.127.0/2585.69.127.1 to 85.69.127.12685.69.127.127126
25685.69.127.128/2585.69.127.129 to 85.69.127.25485.69.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses